#!/bin/sh
. `dirname $0`/../gstreamer_examples/func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

# Additional Settings
COL_FMT="Y8"
X_RES=${SENSOR_RES%%x*}
Y_RES=${SENSOR_RES##*x}
REG_SET_FILE=`dirname $0`/../gstreamer_examples/${REG_SET_FILE##*/}


echo "starting save_raw_image with format $COL_FMT"
echo "read $X_RES x $Y_RES and write to RAW-file"
echo "============================================="

./save_raw_image -D $IPU0_CSI0_DEVICE -sd_cam $CAM_DEVICE -f $COL_FMT -res_x $X_RES -res_y $Y_RES -d $NUMBER_OF_PIC -r $REG_SET_FILE -n $CAMERA"_"
